libelle: 'Envoi à la trésorerie (via un Tdt)'
connecteur_type:
    - TdT
configuration_etape_formulaire:
    objet_pes:
        name: "Objet PES ALLER (prend la valeur NomFic du Fichier PES)"
        requis: true
        type: text_select
    fichier_pes:
        name: 'Fichier PES ALLER'
        requis: true
        type: file
    ajout_champs_affiche:
        name: 'Ajouter les champs du PES ALLER dans la recherche et la liste des fichiers'
        type: checkbox
page-condition:
    'Information PES Aller':
        pes_information_pes_aller: true
    'Retour Tdt':
        pes_has_reponse: true
formulaire:
    'Information PES Aller':
        pes_information_pes_aller:
            no-show: true
            read-only: true
        id_coll:
            name: 'Établissement émetteur'
            index: true
            read-only: true
        dte_str:
            name: 'Date de production du fichier'
            index: true
            type: date
            read-only: true
        cod_bud:
            name: 'Code Budget'
            index: true
            read-only: true
        exercice:
            name: 'Exercice comptable'
            index: true
            read-only: true
        id_bordereau:
            name: 'Identifiant bordereau'
            index: true
            read-only: true
        montant_bordereau_ht:
            name: 'Montant bordereau HT'
            index: true
            read-only: true
        id_pj:
            name: 'Identifiant PJ'
            index: true
            read-only: true
        id_pce:
            name: 'Numéro de mandat ou de titre'
            index: true
            read-only: true
        id_nature:
            name: 'Nature comptable'
            index: true
            read-only: true
        id_fonction:
            name: 'Opération comptable'
            index: true
            read-only: true
    'Retour Tdt':
        pes_has_reponse:
            no-show: true
            read-only: true
        pes_tedetis_transaction_id:
            name: 'Identifiant de la transaction sur le TdT'
            read-only: true
        pes_acquit:
            name: 'PES Acquit'
            type: file
            visionneuse: PESRetourVisionneuse
            read-only: true
        pes_etat_ack:
            name: 'Etat acquittement Helios'
            type: select
            value:
                - 'Non acquitté'
                - 'Acquittement OK'
                - 'Acquittement KO'
            index: true
            read-only: true
action:
    pre-send-tdt:
        name: "Préparation de l'envoi au TdT"
        rule:
            role_id_e: no-role
        action-class: Defaut
        action-automatique: send-tdt
    send-tdt:
        name-action: 'Transmettre au TdT'
        name: 'Transmis au TdT'
        rule:
            last-action:
                - pre-send-tdt
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTEnvoiHelios
        connecteur-type-mapping:
            tdt-error: tdt-error
            pes_tedetis_transaction_id: pes_tedetis_transaction_id
            pes_has_reponse: pes_has_reponse
        action-automatique: verif-tdt
    verif-tdt:
        name-action: 'Vérifier le statut de la transaction'
        name: 'Statut vérifié par le TdT'
        rule:
            last-action:
                - send-tdt
                - tdt-error
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTRecupHelios
        connecteur-type-mapping:
            tdt-error: tdt-error
            pes_tedetis_transaction_id: pes_tedetis_transaction_id
            pes_has_reponse: pes_has_reponse
            info-tdt: info-tdt
            pes_acquit: pes_acquit
            pes_etat_ack: pes_etat_ack
    info-tdt:
        name: 'Un fichier de réponse PES est disponible'
        rule:
            role_id_e: no-role
        action-automatique: orientation
    tdt-error:
        name: 'Erreur sur le TdT'
        rule:
            role_id_e: no-role
    fichier-pes-change:
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTFichierPESChange
        connecteur-type-mapping:
            pes_information_pes_aller: pes_information_pes_aller
            id_coll: id_coll
            dte_str: dte_str
            cod_bud: cod_bud
            exercice: exercice
            id_bordereau: id_bordereau
            montant_bordereau_ht: montant_bordereau_ht
            id_pj: id_pj
            id_pce: id_pce
            id_nature: id_nature
            id_fonction: id_fonction
            pes_etat_ack: pes_etat_ack
